import { CompilerTapFn } from './types';
declare const GLOBAL_PATCHED_SYMBOL: unique symbol;
declare global {
    interface Location {
        [GLOBAL_PATCHED_SYMBOL]?: true;
    }
}
/** fix issue about dart2js: https://github.com/dart-lang/sdk/issues/27979 */
export declare function patchGlobalLocation(): void;
export declare function unpatchGlobalLocation(): void;
export declare function patchCompilerGlobalLocation(compiler: {
    hooks: {
        run: CompilerTapFn;
        watchRun: CompilerTapFn;
        watchClose: CompilerTapFn;
        done: CompilerTapFn;
    };
}): void;
export {};
